Update an invoice item
curl --request PATCH \
--url https://b.anny.co/api/v1/items/{item_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"id": "<string>",
"type": "items",
"attributes": {
"name": "<string>",
"quantity": 123,
"unit_price": 123,
"total": 123,
"tax_rate": 123,
"tax_amount": 123,
"currency": "<string>"
},
"links": {
"self": "<string>"
},
"relationships": {
"invoice": {
"data": {
"type": "<string>",
"id": "<string>"
},
"links": {
"self": "<string>"
}
},
"itemable": {
"data": {
"type": "<string>",
"id": "<string>"
},
"links": {
"self": "<string>"
}
}
}
}
}
'import requests
url = "https://b.anny.co/api/v1/items/{item_id}"
payload = { "data": {
"id": "<string>",
"type": "items",
"attributes": {
"name": "<string>",
"quantity": 123,
"unit_price": 123,
"total": 123,
"tax_rate": 123,
"tax_amount": 123,
"currency": "<string>"
},
"links": { "self": "<string>" },
"relationships": {
"invoice": {
"data": {
"type": "<string>",
"id": "<string>"
},
"links": { "self": "<string>" }
},
"itemable": {
"data": {
"type": "<string>",
"id": "<string>"
},
"links": { "self": "<string>" }
}
}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
data: {
id: '<string>',
type: 'items',
attributes: {
name: '<string>',
quantity: 123,
unit_price: 123,
total: 123,
tax_rate: 123,
tax_amount: 123,
currency: '<string>'
},
links: {self: '<string>'},
relationships: {
invoice: {data: {type: '<string>', id: '<string>'}, links: {self: '<string>'}},
itemable: {data: {type: '<string>', id: '<string>'}, links: {self: '<string>'}}
}
}
})
};
fetch('https://b.anny.co/api/v1/items/{item_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"type": "items",
"attributes": {
"name": "<string>",
"quantity": 123,
"unit_price": 123,
"total": 123,
"tax_rate": 123,
"tax_amount": 123,
"currency": "<string>"
},
"links": {
"self": "<string>"
},
"relationships": {
"invoice": {
"data": {
"type": "<string>",
"id": "<string>"
},
"links": {
"self": "<string>"
}
},
"itemable": {
"data": {
"type": "<string>",
"id": "<string>"
},
"links": {
"self": "<string>"
}
}
}
}
}Orders & Billing
Update an invoice item
PATCH
/
api
/
v1
/
items
/
{item_id}
Update an invoice item
Autorisierungen
The access token received from the authorization server in the OAuth 2.0 flow.
Pfadparameter
The item identifier.
Abfrageparameter
Organization ID
Body
application/vnd.api+json
A line item on an invoice.
Show child attributes
Show child attributes
Antwort
200 - application/vnd.api+json
OK
A line item on an invoice.
Show child attributes
Show child attributes
⌘I